//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TExamItem.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TExamItem
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
__fastcall TExamItem::TExamItem(const TExamItem& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
TExamItem& __fastcall TExamItem::operator=(const TExamItem& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
int __fastcall TExamItem::GetAnswerCount() const
{
	return FAnswerList->Count;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TExamItem::GetAnswer(int AIndex) const
{
	return FAnswerList->Strings[AIndex];
}
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TExamItem::TExamItem() :
	FQuestion(),
	FAnswerList(new TStringList())
{
	// do nothing
}
//---------------------------------------------------------------------------
__fastcall TExamItem::~TExamItem()
{
	delete FAnswerList; FAnswerList = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TExamItem::AddAnswer(AnsiString AAnswer)
{
	FAnswerList->Add(AAnswer);
}
//---------------------------------------------------------------------------
void __fastcall TExamItem::DeleteAnswer(int AIndex)
{
	FAnswerList->Delete(AIndex);
}
//---------------------------------------------------------------------------
void __fastcall TExamItem::Assign(const TExamItem* ASrc)
{
	if(ASrc == this) {
		return;
	}

	Question = ASrc->Question;
	FAnswerList->Assign(ASrc->FAnswerList);
}
//---------------------------------------------------------------------------

