//---------------------------------------------------------------------------
#ifndef TExamItemH
#define TExamItemH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TExamItem
{
private:
	AnsiString FQuestion;
	TStrings* FAnswerList;
	__fastcall TExamItem(const TExamItem& ASrc);
	TExamItem& __fastcall operator=(const TExamItem& ASrc);
protected:
	int __fastcall GetAnswerCount() const;
	AnsiString __fastcall GetAnswer(int AIndex) const;
public:
	__fastcall TExamItem();
	virtual __fastcall ~TExamItem();
	void __fastcall AddAnswer(AnsiString AAnswer);
	void __fastcall DeleteAnswer(int AIndex);
	void __fastcall Assign(const TExamItem* ASrc);
	__property AnsiString Question = {read=FQuestion, write=FQuestion};
	__property int AnswerCount = {read=GetAnswerCount};
	__property AnsiString Answers[int AIndex] = {read=GetAnswer};
};
//---------------------------------------------------------------------------
#endif
