//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TExamOptions.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// struct TExamOptions
//---------------------------------------------------------------------------
__fastcall TExamOptions::TExamOptions() :
	Shuffle(true),
	Swap(false),
	CaseSensitive(false)
{
	// do nothing
}
//---------------------------------------------------------------------------
__fastcall TExamOptions::TExamOptions(const TExamOptions& ASrc) :
	Shuffle(true),
	Swap(false),
	CaseSensitive(false)
{
	*this = ASrc;
}
//---------------------------------------------------------------------------
__fastcall TExamOptions::~TExamOptions()
{
	// do nothing
}
//---------------------------------------------------------------------------
TExamOptions& __fastcall TExamOptions::operator=(const TExamOptions& ASrc)
{
	if(&ASrc != this) {
		Shuffle = ASrc.Shuffle;
		Swap = ASrc.Swap;
		CaseSensitive = ASrc.CaseSensitive;
	}

	return *this;
}
//---------------------------------------------------------------------------
bool __fastcall TExamOptions::operator==(const TExamOptions& ASrc) const
{
	return
		Shuffle == ASrc.Shuffle &&
		Swap == ASrc.Swap &&
		CaseSensitive == ASrc.CaseSensitive;
}
//---------------------------------------------------------------------------
bool __fastcall TExamOptions::operator!=(const TExamOptions& ASrc) const
{
	return !(*this == ASrc);
}
//---------------------------------------------------------------------------

