//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "THistory.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class THistory
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
__fastcall THistory::THistory(const THistory& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
THistory& __fastcall THistory::operator=(const THistory& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
void __fastcall THistory::EnsureCount(int ACount)
{
	while(FList->Count < ACount) {
		FList->Add("");
	}
	while(FList->Count > ACount) {
		FList->Delete(FList->Count - 1);
	}
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
int __fastcall THistory::GetCount() const
{
	return FList->Count;
}
//---------------------------------------------------------------------------
void __fastcall THistory::SetCount(int ACount)
{
	EnsureCount(ACount);
}
//---------------------------------------------------------------------------
AnsiString __fastcall THistory::GetItem(int AIndex) const
{
	return FList->Strings[AIndex];
}
//---------------------------------------------------------------------------
void __fastcall THistory::SetItem(int AIndex, AnsiString AItem)
{
	FList->Strings[AIndex] = AItem;
}
//---------------------------------------------------------------------------
AnsiString __fastcall THistory::GetCommaText() const
{
	return FList->CommaText;
}
//---------------------------------------------------------------------------
void __fastcall THistory::SetCommaText(AnsiString ACommaText)
{
	FList->CommaText = ACommaText;
}
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall THistory::THistory() :
	FList(new TStringList())
{
	// do nothing
}
//---------------------------------------------------------------------------
__fastcall THistory::~THistory()
{
	delete FList; FList = NULL;
}
//---------------------------------------------------------------------------
void __fastcall THistory::Add(AnsiString AItem)
{
	int index = Find(AItem);
	int count = Count;

	if(index >= 0) {
		FList->Delete(index);
	}
	FList->Insert(0, AItem);
	EnsureCount(count);
}
//---------------------------------------------------------------------------
void __fastcall THistory::Delete(int AIndex)
{
	FList->Delete(AIndex);
	FList->Add("");
}
//---------------------------------------------------------------------------
void __fastcall THistory::Clear()
{
	for(int i = 0; i < Count; i++) {
		Items[i] = "";
	}
}
//---------------------------------------------------------------------------
void __fastcall THistory::Assign(const THistory* ASrc)
{
	if(ASrc == this) {
		return;
	}

	FList->Assign(ASrc->FList);
}
//---------------------------------------------------------------------------
int __fastcall THistory::Find(AnsiString AItem) const
{
	for(int i = 0; i < Count; i++) {
		if(SameFileName(AItem, Items[i])) {
			return i;
		}
	}

	return -1;
}
//---------------------------------------------------------------------------

