//---------------------------------------------------------------------------
#ifndef THistoryH
#define THistoryH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class THistory
{
private:
	TStringList* FList;
	__fastcall THistory(const THistory& ASrc);
	THistory& __fastcall operator=(const THistory& ASrc);
	void __fastcall EnsureCount(int ACount);
protected:
	int __fastcall GetCount() const;
	void __fastcall SetCount(int ACount);
	AnsiString __fastcall GetItem(int AIndex) const;
	void __fastcall SetItem(int AIndex, AnsiString AItem);
	AnsiString __fastcall GetCommaText() const;
 	void __fastcall SetCommaText(AnsiString ACommaText);
public:
	__fastcall THistory();
	virtual __fastcall ~THistory();
	void __fastcall Add(AnsiString AItem);
	void __fastcall Delete(int AIndex);
	void __fastcall Clear();
	void __fastcall Assign(const THistory* ASrc);
	int __fastcall Find(AnsiString AItem) const;
	__property int Count = {read=GetCount, write=SetCount};
	__property AnsiString Items[int AIndex] = {read=GetItem, write=SetItem};
	__property AnsiString CommaText = {read=GetCommaText, write=SetCommaText};
};
//---------------------------------------------------------------------------
#endif
