//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TOpenDialogs.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TOpenDialogs
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
__fastcall TOpenDialogs::TOpenDialogs(const TOpenDialogs& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
TOpenDialogs& __fastcall TOpenDialogs::operator=(const TOpenDialogs& ASrc)
{
	throw 0;
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
int __fastcall TOpenDialogs::GetCount() const
{
	return FList->Count;
}
//---------------------------------------------------------------------------
TOpenDialog* __fastcall TOpenDialogs::GetItem(int AIndex) const
{
	return dynamic_cast<TOpenDialog*>(FList->Objects[AIndex]);
}
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TOpenDialogs::TOpenDialogs() :
	FList(new TStringList())
{
	FList->CaseSensitive = true;
	FList->Duplicates = dupIgnore;
	FList->Sorted = true;
}
//---------------------------------------------------------------------------
__fastcall TOpenDialogs::~TOpenDialogs()
{
	delete FList; FList = NULL;
}
//---------------------------------------------------------------------------
void __fastcall TOpenDialogs::Add(int AId, TOpenDialog* AItem)
{
	FList->AddObject(AId, AItem);
}
//---------------------------------------------------------------------------
void __fastcall TOpenDialogs::Delete(int AIndex)
{
	FList->Delete(AIndex);
}
//---------------------------------------------------------------------------
void __fastcall TOpenDialogs::Clear()
{
	FList->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TOpenDialogs::Assign(const TOpenDialogs* ASrc)
{
	if(ASrc == this) {
		return;
	}

	FList->Assign(const_cast<TStringList*>(ASrc->FList));
}
//---------------------------------------------------------------------------
int __fastcall TOpenDialogs::Find(int AId) const
{
	int index;

	if(!FList->Find(AId, index)) {
		index = -1;
	}

	return index;
}
//---------------------------------------------------------------------------
TOpenDialog* __fastcall TOpenDialogs::FindItem(int AId) const
{
	TOpenDialog* item = NULL;
	int index = Find(AId);

	if(index >= 0) {
		item = Items[index];
	}

	return item;
}
//---------------------------------------------------------------------------

