//---------------------------------------------------------------------------
#ifndef TViewOptionsH
#define TViewOptionsH
#include <Classes.hpp>
//---------------------------------------------------------------------------
struct TViewOptions
{
private:
protected:
	int __fastcall GetFontStyleAsInt() const;
	void __fastcall SetFontStyleAsInt(int AInt);
public:
	bool ToolBar;
	bool ToolBarCaptions;
	AnsiString FontName;
	int FontSize;
	int TabWidth;
	TFontStyles FontStyle;
	bool SwapPanels;
	bool StatusBar;
	bool LastPosition;
	bool Topmost;
	__fastcall TViewOptions();
	__fastcall TViewOptions(const TViewOptions& ASrc);
	virtual __fastcall ~TViewOptions();
	TViewOptions& __fastcall operator=(const TViewOptions& ASrc);
	bool __fastcall operator==(const TViewOptions& ASrc) const;
	bool __fastcall operator!=(const TViewOptions& ASrc) const;
	__property int FontStyleAsInt = {read=GetFontStyleAsInt,
		write=SetFontStyleAsInt};
};
//---------------------------------------------------------------------------
#endif
