//---------------------------------------------------------------------------
#ifndef TOpenDialogsH
#define TOpenDialogsH
#include <Classes.hpp>
//---------------------------------------------------------------------------
class TOpenDialogs
{
private:
	TStringList* FList;
	__fastcall TOpenDialogs(const TOpenDialogs& ASrc);
	TOpenDialogs& __fastcall operator=(const TOpenDialogs& ASrc);
protected:
	int __fastcall GetCount() const;
	TOpenDialog* __fastcall GetItem(int AIndex) const;
public:
	__fastcall TOpenDialogs();
	virtual __fastcall ~TOpenDialogs();
	void __fastcall Add(int AId, TOpenDialog* AItem);
	void __fastcall Delete(int AIndex);
	void __fastcall Clear();
	void __fastcall Assign(const TOpenDialogs* ASrc);
	int __fastcall Find(int AId) const;
	TOpenDialog* __fastcall FindItem(int AId) const;
	__property int Count = {read=GetCount};
	__property TOpenDialog* Items[int AIndex] = {read=GetItem};
};
//---------------------------------------------------------------------------
#endif
