//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TSearchOptions.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// struct TSearchOptions
//---------------------------------------------------------------------------
__fastcall TSearchOptions::TSearchOptions() :
	Operation(OPERATION_FIND),
	FindText(),
	ReplaceText(),
	MatchCase(false),
	WholeWord(false),
	Down(true)
{
	// do nothing
}
//---------------------------------------------------------------------------
__fastcall TSearchOptions::TSearchOptions(const TSearchOptions& ASrc)
{
	*this = ASrc;
}
//---------------------------------------------------------------------------
__fastcall TSearchOptions::~TSearchOptions()
{
	// do nothing
}
//---------------------------------------------------------------------------
TSearchOptions& __fastcall TSearchOptions::operator=(
	const TSearchOptions& ASrc)
{
	if(&ASrc != this) {
		Operation = ASrc.Operation;
		FindText = ASrc.FindText;
		ReplaceText = ASrc.ReplaceText;
		MatchCase = ASrc.MatchCase;
		WholeWord = ASrc.WholeWord;
		Down = ASrc.Down;
	}

	return *this;
}
//---------------------------------------------------------------------------
bool __fastcall TSearchOptions::operator==(const TSearchOptions& ASrc) const
{
	return
		Operation == ASrc.Operation &&
		FindText == ASrc.FindText &&
		ReplaceText == ASrc.ReplaceText &&
		MatchCase == ASrc.MatchCase &&
		WholeWord == ASrc.WholeWord &&
		Down == ASrc.Down;
}
//---------------------------------------------------------------------------
bool __fastcall TSearchOptions::operator!=(const TSearchOptions& ASrc) const
{
	return !(*this == ASrc);
}
//---------------------------------------------------------------------------

