//---------------------------------------------------------------------------
#ifndef TSearchOptionsH
#define TSearchOptionsH
#include <Classes.hpp>
//---------------------------------------------------------------------------
struct TSearchOptions
{
	enum {
		OPERATION_FIND,
		OPERATION_REPLACE,
		OPERATION_REPLACE_ALL,
	};
	int Operation;
	AnsiString FindText;
	AnsiString ReplaceText;
	bool MatchCase;
	bool WholeWord;
	bool Down;
	__fastcall TSearchOptions();
	__fastcall TSearchOptions(const TSearchOptions& ASrc);
	virtual __fastcall ~TSearchOptions();
	TSearchOptions& __fastcall operator=(const TSearchOptions& ASrc);
	bool __fastcall operator==(const TSearchOptions& ASrc) const;
	bool __fastcall operator!=(const TSearchOptions& ASrc) const;
};
//---------------------------------------------------------------------------
#endif
